Page MenuHomeFreeBSD

Fix the handling of FIN segments in the CLOSED state
ClosedPublic

Authored by tuexen on Nov 28 2016, 8:26 PM.

Details

Reviewers
hiren
rrs
Group Reviewers
transport
Summary

When a TCP segment with a FIN bit set and not the ACK bit set is received in the CLOSED state, a RST-ACK is sent with SEG.SEQ + SEG.LEN + 1, since the FIN uses one byte of the sequence number space. The current code is not accounting the one byte for the FIN. However, it does correctly account on byte for SYN segments.

Test Plan

Get the tests in

passing.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped
Build Status
Buildable 6086

Event Timeline

tuexen retitled this revision from to Fix the handling of FIN segments in the CLOSED state.Nov 28 2016, 8:26 PM
tuexen updated this object.
tuexen edited the test plan for this revision. (Show Details)
tuexen added reviewers: rrs, hiren, transport.
tuexen set the repository for this revision to rS FreeBSD src repository.
tuexen updated this revision to Diff 22585.
hiren edited edge metadata.Dec 1 2016, 11:13 PM
hiren accepted this revision.
This revision is now accepted and ready to land.Dec 1 2016, 11:13 PM
hiren added a comment.Dec 15 2016, 7:50 PM

Hi Michael, Is this ready to land in -HEAD?

It is already committed to head in https://svnweb.freebsd.org/changeset/base/309397.
Unfortunately, I made a mistake when providing the URL of the Differential Revision, so it was not noted automatically here.

tuexen closed this revision.Dec 16 2016, 8:56 AM